<?php
if (!defined("IN_FUSION")) { 
	die("Access Denied"); 
}
if (file_exists(INFUSIONS."friends_system_panel/locale/".$settings['locale'].".php")) {
	include INFUSIONS."friends_system_panel/locale/".$settings['locale'].".php";
} else { 
	include INFUSIONS."friends_system_panel/locale/Polish.php"; 
}
include INFUSIONS."friends_system_panel/infusion_db.php";

$inf_title = $locale['fsp001'];
$inf_description = $locale['fsp002'];
$inf_version = "2.0 BETA";
$inf_developer = "Daniel \"Szapko\" Dudzikowski";
$inf_email = "daniel.szapko@gmail.com";
$inf_weburl = "";

$inf_folder = "friends_system_panel";

$inf_newtable[1] = DB_FRIENDS." (
  friend_id smallint(5) NOT NULL auto_increment,
  friend_from smallint(5) NOT NULL default '0',
  friend_to smallint(5) NOT NULL default '0',
  friend_date int(10) unsigned NOT NULL default '0',
  friend_status int(1) NOT NULL default '0',
  PRIMARY KEY  (friend_id)
) TYPE=MyISAM;";

$inf_newtable[2] = DB_ENEMY." (
  enemy_id smallint(5) NOT NULL auto_increment,
  enemy_from smallint(5) NOT NULL default '0',
  enemy_to smallint(5) NOT NULL default '0',
  enemy_date int(10) unsigned NOT NULL default '0',
  PRIMARY KEY  (enemy_id)
) TYPE=MyISAM;";

$inf_newtable[3] = DB_FRIENDS_SET." (
  fs_admin int(1) NOT NULL default '0',
  fs_limit int(2) NOT NULL default '5',
  fs_date_format varchar(20) NOT NULL default '%m/%d/%Y',
  fs_message char(1) NOT NULL default 'n',
  fs_message_friend text NOT NULL default '',
  fs_message_enemy text NOT NULL default '',
  fs_present char(1) NOT NULL default 'y'
) TYPE=MyISAM;"; // wprowadzi w pola message zmienne z locali

$inf_newtable[4] = DB_FRIENDS_SET_U." (
  fsu_user smallint(5) NOT NULL default '0'
) TYPE=MyISAM;";

$inf_insertdbrow[1] = DB_FRIENDS_SET." (fs_admin, fs_limit, fs_date_format, fs_message_friend, fs_message_enemy) VALUES('0', '5', '%m/%d/%Y', 'WIADOMOSC DLA PRZYJACIOL', 'WIADOMOSC DLA WROGOW')"; // usupeni w localach

$inf_droptable[1] = DB_FRIENDS;
$inf_droptable[2] = DB_ENEMY;
$inf_droptable[3] = DB_FRIENDS_SET;
$inf_droptable[4] = DB_FRIENDS_SET_U;

$inf_adminpanel[1] = array(
	"title" => $locale['fsp003'],
	"image" => "friends.png",
	"panel" => "friends_system_admin.php",
	"rights" => "FSP"
);
?>