<?php
require_once "../../maincore.php";
require_once THEMES."templates/header.php";
include INFUSIONS."friends_system_panel/infusion_db.php";

if (file_exists(INFUSIONS."friends_system_panel/locale/".$settings['locale'].".php")) {
	include INFUSIONS."friends_system_panel/locale/".$settings['locale'].".php";
} else { 
	include INFUSIONS."friends_system_panel/locale/Polish.php"; 
}

if (iMEMBER && isset($_GET['who']) && ($_GET['who'] == 'friend' || $_GET['who'] == 'enemy')) {
	$set = dbarray(dbquery("
		SELECT *
		FROM ".DB_FRIENDS_SET." 
	"));
	if (isset($_GET['del'])) {
		if (!isnum($_GET['del'])) { $_GET['del'] = 0; }
			opentable("Komunikat");
				if ($_GET['del'] != 0) {
					if ($_GET['who'] == 'friend') {
						$table = DB_FRIENDS;
						$field = "friend_id";
						echo "
						<div align='center' style='margin-top: 5px;'>Usunito przyjaciela (ID ".$_GET['del'].") z listy.</div>"; 
					} else {
						$table = DB_ENEMY;
						$field = "enemy_id";
						echo "
						<div align='center' style='margin-top: 5px;'>Usunito wroga (ID ".$_GET['del'].") z listy.</div>"; 
					}
					$delete = dbquery("
						DELETE 
						FROM $table 
						WHERE ".$field."='".$_GET['del']."'
					");
				} else {
					echo "
					<div align='center' style='margin-top: 5px;'>Bdny identyfikator. Nie mona wykona adnej akcji.</div>"; 
				}
			closetable();
	}
	if (!isset($_GET['rowstart']) || !isnum($_GET['rowstart'])) { $_GET['rowstart'] = 0; }
	if ($_GET['who'] == 'friend') {
		opentable("Lista przyjaci");
		$list = dbquery("
			SELECT * 
			FROM ".DB_FRIENDS." 
			WHERE friend_from='".$userdata['user_id']."'
			OR (friend_to='".$userdata['user_id']."' AND friend_status=1)
			ORDER BY friend_status
			LIMIT ".$_GET['rowstart'].",".$set['fs_limit']."
		");
	} else {
		opentable("Lista wrogw");
		$list = dbquery("
			SELECT * 
			FROM ".DB_ENEMY." 
			WHERE enemy_from='".$userdata['user_id']."'
			LIMIT ".$_GET['rowstart'].",".$set['fs_limit']."
		");
	}
	$rows = dbrows($list);
	if ($rows != 0) {
		echo "
		<table cellpadding='0' cellspacing='0' align='center' width='100%'>
			<tr>
				<td class='tbl2' width='25%'>Nick usera</td>
				<td class='tbl2' width='25%'>Data</td>";
				if ($_GET['who'] == 'friend') {
					echo "
				<td class='tbl2' width='25%'>Status</td>";
				} else {
					echo "
				<td class='tbl2' width='25%'></td>";
				}
			echo "
				<td class='tbl2' width='25%'>Opcje</td>
			</tr>";
		while ($data = dbarray($list)) {
			if ($_GET['who'] == 'friend') {
				if ($data['friend_from'] == $userdata['user_id']) {
					$to = $data['friend_to'];
				} else if ($data['friend_to'] == $userdata['user_id']) {
					$to = $data['friend_from'];
				}
				$date = $data['friend_date'];
				$id = $data['friend_id'];
			} else {
				$to = $data['enemy_to'];
				$date = $data['enemy_date'];
				$id = $data['enemy_id'];
			}
			$users_list = dbquery("
				SELECT user_id, user_name, user_status 
				FROM ".DB_USERS." 
				WHERE user_id='".$to."'
			");
			$user = dbarray($users_list);
			echo "
			<tr>
				<td class='tbl1'>".profile_link($user['user_id'], $user['user_name'], $user['user_status'])."</td>
				<td class='tbl1'>".strftime($set['fs_date_format'], $date)."</td>";
				if ($_GET['who'] == 'friend') {
					if ($data['friend_status'] == 0) {
						$status = "Niezaakceptowane";
						$del = "<a href='".FUSION_SELF."?who=".$_GET['who']."&del=".$id."'>Zrezygnuj</a>";
					} else {
						$status = "Zaakceptowane";
						$del = "<a href='".FUSION_SELF."?who=".$_GET['who']."&del=".$id."'>Usu</a>";
					}
					echo "
				<td class='tbl1'>".$status."</td>";
				} else {
					$del = "<a href='".FUSION_SELF."?who=".$_GET['who']."&del=".$id."'>Usu</a>";
					echo "
				<td class='tbl1'></td>";
				}
			echo "
				<td class='tbl1'>".$del."</td>
			</tr>";
		}
		echo "
		</table>";
		if ($rows >$set['fs_limit']) { 
			echo "
			<div align='center' style='margin-top: 5px;'>".makepagenav($_GET['rowstart'], $set['fs_limit'], $rows, 3)."</div>"; 
		}
	} else {
		if ($_GET['who'] == 'friend') {
			echo "
			<div align='center' style='margin-top: 5px;'>Nie masz adnych przyjaci.</div>";
		} else {
			echo "
			<div align='center' style='margin-top: 5px;'>Nie dodae adnego usera na czarn list.</div>";
		}
	}
		closetable();
} else {
	redirect(BASEDIR."index.php");
}

require_once THEMES."templates/footer.php";
?>